---
title: "One artifact with every version"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.gitpando.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Pando API › artifacts

`GET /v1/monorepos/{owner}/{monorepo}/artifacts/{id}`

## Authentication

Requires one of the following:

- `credential`, http, header `Authorization`
- `session`, apiKey, in cookie

## Path parameters

- `getArtifact.path.owner` (string, required) — The monorepo's owner, a namespace (a person's login or an organization). Matched without case.
  - pattern `^[a-z0-9](?:[a-z0-9]|-(?=[a-z0-9])){0,38}$`
- `getArtifact.path.monorepo` (string, required) — The monorepo's name within its owner (or an old name). Matched without case.
  - pattern `^[a-z0-9](?:[a-z0-9._]|-(?!-)){0,38}$`
- `getArtifact.path.id` (string, required)

## Code samples

### cURL

```curl
curl --request GET \
  --url https://app.gitpando.com/v1/monorepos/string/string/artifacts/string \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://app.gitpando.com/v1/monorepos/string/string/artifacts/string';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://app.gitpando.com/v1/monorepos/string/string/artifacts/string"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

The artifact

#### Example

```json
{
  "id": "string",
  "repo": "string",
  "branch": "string",
  "name": "string",
  "kind": "markdown",
  "title": "string",
  "latest": {
    "n": 0,
    "size": 0,
    "sha256": "string",
    "files": [
      {
        "path": "string",
        "size": 0,
        "sha256": "string",
        "type": "string"
      }
    ],
    "uploaded_by": "string",
    "machine": "string",
    "via": "web",
    "created_at": "2019-08-24T14:15:22Z"
  },
  "versions": 0,
  "comments": {
    "open": 0,
    "resolved": 0
  },
  "created_by": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "all_versions": [
    {
      "n": 0,
      "size": 0,
      "sha256": "string",
      "files": [
        {
          "path": "string",
          "size": 0,
          "sha256": "string",
          "type": "string"
        }
      ],
      "uploaded_by": "string",
      "machine": "string",
      "via": "web",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
```

- `getArtifact.response.200.id` (string, required)
- `getArtifact.response.200.repo` (string, required)
- `getArtifact.response.200.branch` (string, required)
- `getArtifact.response.200.name` (string, required)
- `getArtifact.response.200.kind` (string, required)
  - one of `"markdown"`, `"html"`, `"image"`
- `getArtifact.response.200.title` (string | null, required) — The first heading or <title>, at most 200 characters.
- `getArtifact.response.200.latest` (object, required)
  - `getArtifact.response.200.latest.n` (integer, required)
  - `getArtifact.response.200.latest.size` (integer, required) — All its files
  - `getArtifact.response.200.latest.sha256` (string, required) — The main file's.
  - `getArtifact.response.200.latest.files` (array<object>, required) — The main file first, then its images by path.
    - `getArtifact.response.200.latest.files.path` (string, required)
    - `getArtifact.response.200.latest.files.size` (integer, required)
    - `getArtifact.response.200.latest.files.sha256` (string, required)
    - `getArtifact.response.200.latest.files.type` (string, required)
  - `getArtifact.response.200.latest.uploaded_by` (string, required)
  - `getArtifact.response.200.latest.machine` (string | null, required) — The credential's machine; web from the browser.
  - `getArtifact.response.200.latest.via` (string, required)
    - one of `"web"`, `"cli"`
  - `getArtifact.response.200.latest.created_at` (string, required)
    - format `date-time`
- `getArtifact.response.200.versions` (integer, required)
- `getArtifact.response.200.comments` (object, required)
  - `getArtifact.response.200.comments.open` (integer, required)
  - `getArtifact.response.200.comments.resolved` (integer, required)
- `getArtifact.response.200.created_by` (string, required)
- `getArtifact.response.200.created_at` (string, required)
  - format `date-time`
- `getArtifact.response.200.updated_at` (string, required)
  - format `date-time`
- `getArtifact.response.200.all_versions` (array<object>, required)
  - `getArtifact.response.200.all_versions.n` (integer, required)
  - `getArtifact.response.200.all_versions.size` (integer, required) — All its files
  - `getArtifact.response.200.all_versions.sha256` (string, required) — The main file's.
  - `getArtifact.response.200.all_versions.files` (array<object>, required) — The main file first, then its images by path.
    - `getArtifact.response.200.all_versions.files.path` (string, required)
    - `getArtifact.response.200.all_versions.files.size` (integer, required)
    - `getArtifact.response.200.all_versions.files.sha256` (string, required)
    - `getArtifact.response.200.all_versions.files.type` (string, required)
  - `getArtifact.response.200.all_versions.uploaded_by` (string, required)
  - `getArtifact.response.200.all_versions.machine` (string | null, required) — The credential's machine; web from the browser.
  - `getArtifact.response.200.all_versions.via` (string, required)
    - one of `"web"`, `"cli"`
  - `getArtifact.response.200.all_versions.created_at` (string, required)
    - format `date-time`


Source: https://docs.gitpando.com/api/artifacts/getArtifact/index.md
